Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584806 - Get-Jobs request no longer returns any attributes
Get-Jobs request no longer returns any attributes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 09:15 EDT by Tim Waugh
Modified: 2010-07-26 22:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.1.19-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 14:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-04-22 09:15:16 EDT
Description of problem:
The Get-Jobs IPP request now only returns the job-id attribute for each job.  Works fine with CUPS-1.4.2.

Version-Release number of selected component (if applicable):
cups-1.4.3-6.fc13

How reproducible:
100%

Steps to Reproduce:
1.python -c 'import cups;c=cups.Connection();print c.getJobs(which_jobs="all")'

Actual results:
Just a list of job IDs.

Expected results:
Lots of attributes for each job ID.
Comment 2 Tim Waugh 2010-04-22 09:24:24 EDT
OK, this is an intentional change in CUPS from STR #3383:

  if ((ra = create_requested_array(con->request)) == NULL &&
      !ippFindAttribute(con->request, "requested-attributes", IPP_TAG_KEYWORD))
  {
   /*
    * IPP conformance - Get-Jobs has a default requested-attributes value of
    * "job-id" and "job-uri".
    */

    ra = cupsArrayNew((cups_array_func_t)strcmp, NULL);
    cupsArrayAdd(ra, "job-id");
    cupsArrayAdd(ra, "job-uri");
  }

So we'll need to add an optional named parameter "requested_attributes" to the Python bindings and get system-config-printer's monitor module to use it.
Comment 3 Tim Waugh 2010-04-22 11:14:35 EDT
Will also affect F-12 when it is updated to cups >= 1.4.3.
Comment 4 Tim Waugh 2010-04-22 11:21:29 EDT
The specific problem this causes for system-config-printer is in the applet: if there are jobs queued for a printer, and that printer has an error, the error is not shown to the user.
Comment 5 Fedora Update System 2010-05-07 11:54:42 EDT
system-config-printer-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 6 Fedora Update System 2010-05-08 12:09:55 EDT
system-config-printer-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 7 Fedora Update System 2010-05-13 15:35:23 EDT
system-config-printer-1.2.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-2.fc13
Comment 8 Fedora Update System 2010-05-18 10:51:37 EDT
system-config-printer-1.1.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11
Comment 9 Fedora Update System 2010-05-18 10:53:50 EDT
system-config-printer-1.1.19-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12
Comment 10 Fedora Update System 2010-05-19 15:16:38 EDT
system-config-printer-1.1.19-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11
Comment 11 Fedora Update System 2010-05-19 15:21:13 EDT
system-config-printer-1.1.19-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12
Comment 12 Fedora Update System 2010-06-03 14:08:58 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-4.fc13
Comment 13 Fedora Update System 2010-06-04 14:53:11 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-26 22:51:34 EDT
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.